using BO.AppServer.Data.Entity;
using BO.AppServer.Metadata.Dto;
using Quadarax.Foundation.Core.Data.Entity;
using Quadarax.Foundation.Core.Data.Interface.Entity;

namespace BO.AppServer.Business.Mapper
{
    public class MapperNoKey : Quadarax.Foundation.Core.Data.Mapper.Mapper<MapperNoKey>
    {
        public MapperNoKey()
        {
        }
        public void DefineBiDirection<TDao, TDto>() 
            where TDao : class, IDao<NoKey>, new()
            where TDto : class, IDto, new()
        {
            DefineBiDirection<TDao, TDto, NoKey>();
        }
    }
}
